Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Warranty

ProductWarranty

List product warranty terms

get
/tenants/{tenantUid}/product-warranties

List product warranty terms.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/product-warranties
GET /v2/tenants/{tenantUid}/product-warranties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productWarrantyUid": "text",
      "name": "text",
      "terms": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create product warranty terms

post
/tenants/{tenantUid}/product-warranties

Create new product warranty terms.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
productWarrantyUidstringOptionalPattern: ^[A-Za-z0-9-_]*
namestringOptional
termsstringRequired
Responses
201

Example response

application/json
productWarrantyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
termsstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/product-warranties
POST /v2/tenants/{tenantUid}/product-warranties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "productWarrantyUid": "text",
  "name": "text",
  "terms": "text"
}
201

Example response

{
  "productWarrantyUid": "text",
  "name": "text",
  "terms": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get product warranty terms

get
/tenants/{tenantUid}/product-warranties/{productWarrantyUid}

Get a product warranty terms details.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productWarrantyUidstringRequired

Reference to product warranty terms

Responses
200

Example response

application/json
productWarrantyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
termsstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/product-warranties/{productWarrantyUid}
GET /v2/tenants/{tenantUid}/product-warranties/{productWarrantyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "productWarrantyUid": "text",
  "name": "text",
  "terms": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update product warranty terms

put
/tenants/{tenantUid}/product-warranties/{productWarrantyUid}

Update a product warranty terms.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productWarrantyUidstringRequired

Reference to product warranty terms

Body
namestringOptional
termsstringOptional
Responses
200

Example response

application/json
productWarrantyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
termsstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/product-warranties/{productWarrantyUid}
PUT /v2/tenants/{tenantUid}/product-warranties/{productWarrantyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "name": "text",
  "terms": "text"
}
200

Example response

{
  "productWarrantyUid": "text",
  "name": "text",
  "terms": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete product warranty terms

delete
/tenants/{tenantUid}/product-warranties/{productWarrantyUid}

Delete a product warranty terms.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productWarrantyUidstringRequired

Reference to product warranty terms

Responses
204

No Content

No content

delete/tenants/{tenantUid}/product-warranties/{productWarrantyUid}
DELETE /v2/tenants/{tenantUid}/product-warranties/{productWarrantyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?